<?  
//error_reporting(0);
if (substr_count($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip')) ob_start("ob_gzhandler"); else ob_start();
session_start();  
include_once('../config/minho.php');
include_once('../config/autoloadClass.php');
$autoload		=	new autoloadClass(); 
$mecon			=	new condbClass();
$requestData	=	$_REQUEST; 
$user_type = isset($_SESSION['danvilles_user_type']) ? strip_tags(stripslashes(trim($_SESSION['danvilles_user_type']))) : "";
$columns = array(
	0	=>	'Id',
	1	=>	'FullName',
	2	=>	'Block',
	3	=>	'Lot',
	4	=>	'TakeOut',
	5	=>	'conversions',
	6	=>	'ReleasedPagibig',
	//7	=>	'ProcessedDate',
	//8	=>	'ReleasedDate',
	//9	=>	'ReservationStatus' 	 
	7	=>	'BirDateSubmitted',
	8	=>	'BirDateReleased', 
	9	=>	'BirEcar',
	10	=>	'RegistryDateSubmitted',
	11	=>	'RegistryDateReleased',
	12	=>	'RegistryNewTCTNo',
	13	=>	'CityHallDateSubmitted',
	14	=>	'CityHallDateReleased',
	15	=>	'CityHallNewTaxDecLand',
	16	=>	'CityHallNewTaxDecBldg',
	17	=>	'Remarks',
	18	=>	'ReservationStatus'  
);  

$rangeStart = isset($_REQUEST['range_start']) ?  $_REQUEST['range_start'] : date('Y-m-d', strtotime(date('01-m-Y')));
$rangeEnd 	= isset($_REQUEST['range_end'])   ? $_REQUEST['range_end']	  : date("Y-m-t", strtotime(date('Y-m-d')));

$mainQuery 		= "SELECT r.Id as Id, r.Project as Project, r.Model as Model, r.ReservationDate as ReservationDate, r.Phase as Phase, r.Block as Block, r.Lot as Lot, CONCAT(r.LastName,', ',r.FirstName,' ',r.MiddleName) as FullName, r.Broker as Broker, r.Agent as Agent, r.Spouse as Spouse, r.HomeTel as HomeTel, r.CellphoneNo as CellphoneNo, r.SpouseContactNo as SpouseContactNo, r.Address1 as Address1, r.Address2 as Address2, r.EmployerName as EmployerName, r.EmployeeType as EmployeeType, r.GrossIncome as GrossIncome, r.DiscountPromo as DiscountPromo, r.Position as Position, r.BuyerProfile as BuyerProfile, r.SpouseIncome as SpouseIncome, r.TinNo as TinNo, r.OfficeTel as OfficeTel, r.AggregateIncome as AggregateIncome, r.NoCoBorrower as NoCoBorrower, r.ReservationStatus as ReservationStatus, r.Status as rStatus, r.EmployeeType as EmployeeType, bsf.TakeOut as TakeOut, con.ReleasedPagibig as ReleasedPagibig, con.ProcessedDate as ProcessedDate, con.ReleasedDate as ReleasedDate, DATE_ADD(bsf.TakeOut, INTERVAL 18 MONTH) as conversions, con.BirDateSubmitted as BirDateSubmitted, con.BirDateReleased as BirDateReleased, con.BirEcar as BirEcar, con.RegistryDateSubmitted as RegistryDateSubmitted,con.RegistryDateReleased as RegistryDateReleased, con.RegistryNewTCTNo as RegistryNewTCTNo, con.CityHallDateSubmitted as CityHallDateSubmitted, con.CityHallDateReleased as CityHallDateReleased, con.CityHallNewTaxDecLand as CityHallNewTaxDecLand, con.CityHallNewTaxDecBldg as CityHallNewTaxDecBldg, con.Remarks as Remarks FROM  reservation r LEFT JOIN buyer_status_folder_pagibig bsf ON bsf.ReservationId=r.Id LEFT JOIN conversion con ON con.ReservationId=r.Id"; 
//$sql			= $mainQuery; 

$sql			=	$mainQuery."  WHERE r.Status = 'active' AND r.ReservationStatus='active' AND (bsf.TakeOut!='1970-01-01' OR bsf.TakeOut!=NULL) ";
$tobe 			= isset($_REQUEST['tobe_stat'])   ? $_REQUEST['tobe_stat']	  : "yes";
$tobeno 		= isset($_REQUEST['tobe_stat_no'])   ? $_REQUEST['tobe_stat_no']	  : "yes";
$tobedate 		= isset($_REQUEST['tobe_stat_date'])   ? $_REQUEST['tobe_stat_date']	  : "yes";


if(!empty($requestData['search']['value']) ) { 
	$arr = explode(" ",$requestData['search']['value']);  
	foreach($arr as $ind){
		$ind = str_replace(',','',$ind);
		$sql.=" AND (Block LIKE '".$ind."%' ";
		$sql.=" OR CONCAT(LastName,', ',FirstName,' ',MiddleName) LIKE '%".htmlentities($ind)."%' ";
		$sql.=" OR UPPER(DATE_FORMAT(ReleasedPagibig,'%m/%d/%Y')) LIKE '".$ind."%' "; 

		
		$sql.=" OR UPPER(DATE_FORMAT(con.RegistryDateSubmitted,'%m/%d/%Y')) LIKE '".$ind."%' "; 
		$sql.=" OR UPPER(DATE_FORMAT(con.RegistryDateReleased,'%m/%d/%Y')) LIKE '".$ind."%' "; 
		$sql.=" OR con.RegistryNewTCTNo LIKE '%".htmlentities($ind)."%' ";
		$sql.=" OR UPPER(DATE_FORMAT(con.CityHallDateSubmitted,'%m/%d/%Y')) LIKE '".$ind."%' "; 
		$sql.=" OR UPPER(DATE_FORMAT(con.CityHallDateReleased,'%m/%d/%Y')) LIKE '".$ind."%' "; 
		$sql.=" OR con.CityHallNewTaxDecLand LIKE '%".htmlentities($ind)."%' ";
		$sql.=" OR con.CityHallNewTaxDecBldg LIKE '%".htmlentities($ind)."%' ";
		$sql.=" OR con.Remarks LIKE '%".htmlentities($ind)."%' ";

		$sql.=" OR Broker LIKE '%".htmlentities($ind)."%' ";
		$sql.=" OR EmployeeType LIKE '%".$ind."%' ";
		$sql.=" OR Agent LIKE '%".htmlentities($ind)."%' ";
		$sql.=" OR Model LIKE '%".$ind."%' ";  
		$sql.=" OR Spouse LIKE '%".htmlentities($ind)."%' ";
		$sql.=" OR Project LIKE '%".$ind."%' ";
		$sql.=" OR EmployerName LIKE '%".htmlentities($ind)."%' ";
		$sql.=" OR Position LIKE '%".htmlentities($ind)."%' ";
		$sql.=" OR Address1 LIKE '%".htmlentities($ind)."%' ";
		$sql.=" OR Address2 LIKE '%".htmlentities($ind)."%' ";
		$sql.=" OR HomeTel LIKE '".$ind."%' ";
		$sql.=" OR OfficeTel LIKE '".$ind."%' "; 
		$sql.=" OR CellphoneNo LIKE '".$ind."%' ";
		$sql.=" OR GrossIncome LIKE '".$ind."%' ";
		$sql.=" OR TinNo LIKE '".$ind."%' ";
		$sql.=" OR BuyerProfile LIKE '".$ind."%' "; 
		$sql.=" OR ReservationStatus  LIKE '".$ind."%' ";
		$sql.=" OR Lot LIKE '".$ind."%' )"; 
	}
}
 
if($tobedate=="yes"){
	if( !empty($rangeStart) && !empty($rangeEnd) ){
		$sql .= " AND ReleasedPagibig BETWEEN ('".date('Y-m-d', strtotime($rangeStart))."') AND ('".date('Y-m-d', strtotime($rangeEnd))."')";
	}else if( !empty($rangeStart)){
		$sql .= " AND ReleasedPagibig >= ('".date('Y-m-d', strtotime($rangeStart))."') ";
	}else if( !empty($rangeEnd)){
		$sql .= " AND ReleasedPagibig <= ('".date('Y-m-d', strtotime($rangeEnd))."') ";
	}
}

$mecon->query($sql);
$result			= $mecon->resultset(); 
$totalData		= count($result);
$totalFiltered	=	$totalData;

//$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']." LIMIT ".$requestData['start']." ,".$requestData['length']."   "; 

$sql.=" ORDER BY cast(Block as unsigned)   ".$requestData['order'][0]['dir'].", cast(Lot as unsigned) asc LIMIT ".$requestData['start']." ,".$requestData['length']."   "; 


$mecon->query($sql);
$data = array();
$result = $mecon->resultset();


			 for($a=0; $a<count($result); $a++){
				$nestedData=array();
				$hao = $a+1;
 				$nestedData[]	= trim($result[$a]['Id']);
				$nestedData[] 	= strtoupper(trim(html_entity_decode(stripslashes($result[$a]['FullName']))));
				$nestedData[]	= trim($result[$a]['Block']);
				$nestedData[]	= trim($result[$a]['Lot']); 
				  
				$nestedData[] = (($result[$a]['TakeOut']=='1970-01-01') || ($result[$a]['TakeOut']=='')) ? "" : date('m/d/Y', strtotime($result[$a]['TakeOut'])); 

				 
    			$takeoutDate 	= $result[$a]['TakeOut'];
    			//$conversionDate = date('m/d/Y', strtotime($takeoutDate. ' + 18 month'));  
				//$nestedData[]	= $conversionDate;
				$nestedData[]   = date('m/d/Y', strtotime($result[$a]['conversions']));
				$releasedPagibigDate = date('m/d/Y', strtotime($result[$a]['ReleasedPagibig']));
				$releasedPagibigDate = ($releasedPagibigDate=='01/01/1970') ? "" : $releasedPagibigDate;
				$nestedData[]	= $releasedPagibigDate; 
 
 				//$processedDate 	= date('m/d/Y', strtotime($result[$a]['ProcessedDate']));
 				//$processedDate 	= ($processedDate=='01/01/1970') ? "" : $processedDate;
				//$nestedData[]	= $processedDate; 
			
			
				//$releasedDate 	= date('m/d/Y', strtotime($result[$a]['ReleasedDate']));
				//$releasedDate 	= ($releasedDate=='01/01/1970') ? "" : $releasedDate;
				//$nestedData[]	= $releasedDate; 

				//BIR Date Submitted
				$BirDateSubmitted 	= date('m/d/Y', strtotime($result[$a]['BirDateSubmitted']));
				$BirDateSubmitted 	= ($BirDateSubmitted=='01/01/1970') ? "" : $BirDateSubmitted; 
				$nestedData[]		= $BirDateSubmitted; 
 
 				//BIR Date Released
				$BirDateReleased 	= date('m/d/Y', strtotime($result[$a]['BirDateReleased']));
				$BirDateReleased 	= ($BirDateReleased=='01/01/1970') ? "" : $BirDateReleased; 
				$nestedData[]		= $BirDateReleased; 

				//BIR ECAR
				$BirEcar 		= $result[$a]['BirEcar']; 
				$nestedData[]	= $BirEcar; 

				//Registry Date Released
				$RegistryDateReleased 		= date('m/d/Y', strtotime($result[$a]['RegistryDateReleased']));
				$RegistryDateReleased 		= ($RegistryDateReleased=='01/01/1970') ? "" : $RegistryDateReleased; 
				$nestedData[]				= $RegistryDateReleased; 

				//Registry Date Submitted
				$RegistryDateSubmitted 		= date('m/d/Y', strtotime($result[$a]['RegistryDateSubmitted']));
				$RegistryDateSubmitted 		= ($RegistryDateSubmitted=='01/01/1970') ? "" : $RegistryDateSubmitted; 
				$nestedData[]				= $RegistryDateSubmitted;

				//Registry New TCT No. 
				$RegistryNewTCTNo 			= $result[$a]['RegistryNewTCTNo']; 
				$nestedData[]				= $RegistryNewTCTNo; 

				//City Hall Date Submitted
				$CityHallDateSubmitted 		= date('m/d/Y', strtotime($result[$a]['CityHallDateSubmitted']));
				$CityHallDateSubmitted 		= ($CityHallDateSubmitted=='01/01/1970') ? "" : $CityHallDateSubmitted; 
				$nestedData[]				= $CityHallDateSubmitted;

				//City Hall Date Released
				$CityHallDateReleased 		= date('m/d/Y', strtotime($result[$a]['CityHallDateReleased']));
				$CityHallDateReleased 		= ($CityHallDateReleased=='01/01/1970') ? "" : $CityHallDateReleased; 
				$nestedData[]				= $CityHallDateReleased;

				//City Hall New Tax Dec Land
				$CityHallNewTaxDecLand	= $result[$a]['CityHallNewTaxDecLand']; 
				$nestedData[]			= $CityHallNewTaxDecLand; 

				//City Hall New Tax Dec Bldg
				$CityHallNewTaxDecBldg	= $result[$a]['CityHallNewTaxDecBldg']; 
				$nestedData[]			= $CityHallNewTaxDecBldg; 


				//Remarks
				$Remarks				= $result[$a]['Remarks']; 
				$nestedData[]			= $Remarks; 


				
				$nestedData[] = strtoupper(html_entity_decode(stripslashes($result[$a]['ReservationStatus'])));
				
				$data[] = $nestedData;
			} 

$json_data = array(
			"draw"            => intval( $requestData['draw'] ),
			"recordsTotal"    => intval( $totalData ),
			"recordsFiltered" => intval( $totalFiltered ),
			"data"            => $data
			);
			 
echo json_encode($json_data);
exit();
ob_end_flush(); 